<template>
  <div class="all-paper" v-if="items">
    <el-form :inline="true" :model="formData" class="demo-form-inline">
      <!-- <el-form-item>
        <el-input v-model="formData.search" placeholder="搜索"></el-input>
      </el-form-item> -->
      <el-form-item>
        <el-select v-model="formData.lesson_id" placeholder="选择班级">
          <el-option
            v-for="(lesson, index) in lessons"
            :key="index"
            :label="lesson.name"
            :value="lesson.id"
          ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-date-picker
          v-model="formData.date"
          type="date"
          placeholder="选择日期"
        >
        </el-date-picker>
      </el-form-item>
      <el-form-item>
        <el-button type="danger" @click="onSearch">查询</el-button>
      </el-form-item>
    </el-form>
    <div class="all-test-table">
      <template v-for="data in allAnswerSheet">
        <p :key="data.id" class="theme-small-headline" style="float:left">
          {{ data.created }}
        </p>
        <el-table
          :key="data.account_id"
          :data="data.data"
          style="width: 100%;margin:20px 10px"
          :show-header="false"
        >
          <el-table-column prop="name" label="名称" width="30">
            <template>
              <i class="el-icon-user" style="color:#e72324;font-size:20px"></i>
            </template>
          </el-table-column>
          <el-table-column prop="name" label="名称" width="180">
          </el-table-column>
          <el-table-column prop="organization" label="组织" width="180">
          </el-table-column>
          <el-table-column prop="createdAt" label="日期"></el-table-column>
          <el-table-column
            fixed="right"
            label="操作"
            width="150"
            align="center"
          >
            <template slot-scope="scope">
              <el-button
                @click="handleClick(scope.row)"
                v-show="!scope.row.isEnd"
                type="danger"
                >批阅</el-button
              >
              <el-button
                type="danger"
                plain
                v-show="scope.row.isEnd"
                @click="handleCheckClick(scope.row)"
                >查看详情</el-button
              >
            </template>
          </el-table-column>
        </el-table>
      </template>
    </div>
    <!-- <p class="theme-small-headline" style="float:left">{{ thisMonth }}</p>
    <el-table
      :data="items"
      style="width: 100%;margin:20px 10px"
      :show-header="false"
    >
      <el-table-column prop="name" label="名称" width="30">
        <template>
          <i class="el-icon-user" style="color:#e72324;font-size:20px"></i>
        </template>
      </el-table-column>
      <el-table-column prop="name" label="名称" width="180"> </el-table-column>
      <el-table-column prop="organization" label="组织" width="180">
      </el-table-column>
      <el-table-column prop="createdAt" label="日期"></el-table-column>
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="handleClick(scope.row)" size="mini" type="danger"
            >批阅</el-button
          >
        </template>
      </el-table-column>
    </el-table>
    <p class="theme-small-headline" style="float:left">{{ lastMonth }}</p>
    <el-table
      :data="items"
      style="width: 100%;margin:20px 10px"
      :show-header="false"
    >
      <el-table-column prop="name" label="名称" width="30">
        <template>
          <i class="el-icon-user" style="color:#e72324;font-size:20px"></i>
        </template>
      </el-table-column>
      <el-table-column prop="name" label="名称" width="180"> </el-table-column>
      <el-table-column prop="organization" label="组织" width="180">
      </el-table-column>
      <el-table-column prop="createdAt" label="日期"></el-table-column>
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="handleClick(scope.row)" size="mini" type="danger"
            >批阅</el-button
          >
        </template>
      </el-table-column>
    </el-table> -->
  </div>
</template>

<script>
import { lessons } from "@/api";
import dayjs from "dayjs";
export default {
  name: "allPaper",
  props: {
    items: {
      type: Array,
      required: true
    }
  },
  data() {
    return {
      lessons: [],
      formData: {},
      thisMonth: dayjs().format("YYYY/MM"),
      lastMonth: dayjs()
        .subtract(1, "month")
        .format("YYYY/MM")
    };
  },
  async mounted() {
    let result = await lessons.list();
    this.lessons = result.items;
  },
  methods: {
    onSearch() {
      console.log("click me!");
    },
    handleClick(data) {
      this.$emit("openMark", data);
      console.log(data);
    },
    handleCheckClick(data) {
      this.$emit("openMark", data);
    }
  },
  computed: {
    allAnswerSheet() {
      let temp = [];
      let tag = 0;
      this.items.map(item => {
        let month = dayjs(item.createdAt).format("YYYY-MM");
        let i = "";
        for (let j = 0; j < temp.length; j++) {
          if (temp[j].created === month) {
            tag = 1;
            i = j;
            break;
          }
        }
        if (tag === 1) {
          let ab = temp[i];
          ab.data.push(item);
          tag = 0;
        } else if (tag == 0) {
          temp.push({
            data: [item],
            created: month
          });
        }
      });
      return temp;
    }
  }
};
</script>

<style lang="scss" scope>
@import "@/styles/theme.scss";
</style>
